commit 7d3358368bd06fd95447a6297a97cc2345b006ba
Author: jklowden <jklowden>
Date:   Thu May 22 01:32:29 2008 +0000

    Blindly applied suggestion from S. Magne on ML  to fix ct_cancel for CS_CANCEL_ALL

diff --git a/ChangeLog b/ChangeLog
index 9044b88..e32e059 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Wed May 21 21:13:31 EDT 2008	JK Lowden <jklowden@freetds.org>
+	* TODO doc/api_status.txt src/ctlib/ct.c
+	- Blindly applied suggestion from S. Magne on ML 
+	- to fix ct_cancel for CS_CANCEL_ALL
+
 Thu May 15 11:43:18 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* configure.ac corrected odbc_nodm help string
 
@@ -282,4 +287,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2520 2008/05/15 15:49:52 jklowden Exp $
+$Id: ChangeLog,v 1.2521 2008/05/22 01:32:29 jklowden Exp $
diff --git a/TODO b/TODO
index 55b0fbf..5517ce6 100644
--- a/TODO
+++ b/TODO
@@ -8,7 +8,7 @@ anyone else can post a patch to SourceForge.
 In this way we can communicate with each
 other about the project's priorities and needs.  
 
-To Do List	$Id: TODO,v 1.167 2008/01/10 22:57:39 jklowden Exp $
+To Do List	$Id: TODO,v 1.168 2008/05/22 01:32:30 jklowden Exp $
 ------------
 
 Bug? ML 2007-05-30 "dbsqlexec() never returns" 
@@ -21,6 +21,9 @@ Must be fixed:
 . cancellation
   . ctlib seems to hang reading row while in IDLE state
     (tds_peek if not in pending state hang... update)
+    Applied but could not test fix from ML 21 May 2008: 
+    	"Problem with FreeTDS validating SQL commands 
+         (actually a ct_cancel() error)" 
 
 Broken:
 . Passing invalid character set names to server with tsql?
diff --git a/src/ctlib/ct.c b/src/ctlib/ct.c
index 7a59712..9dabd00 100644
--- a/src/ctlib/ct.c
+++ b/src/ctlib/ct.c
@@ -39,7 +39,7 @@
 #include "tdsstring.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: ct.c,v 1.178 2008/05/06 00:14:02 jklowden Exp $");
+TDS_RCSID(var, "$Id: ct.c,v 1.179 2008/05/22 01:32:32 jklowden Exp $");
 
 
 static char * ct_describe_cmd_state(CS_INT state);
@@ -2242,6 +2242,7 @@ ct_cancel(CS_CONNECTION * conn, CS_COMMAND * cmd, CS_INT type)
 					tds_send_cancel(cmd_conn->tds_socket);
 					tds_process_cancel(cmd_conn->tds_socket);
 					_ct_initialise_cmd(cmd);
+					cmd->cancel_state = _CS_CANCEL_PENDING;
 					break;
 			}
 		}
@@ -2263,6 +2264,7 @@ ct_cancel(CS_CONNECTION * conn, CS_COMMAND * cmd, CS_INT type)
 						tds_send_cancel(conn->tds_socket);
 						tds_process_cancel(conn->tds_socket);
 						_ct_initialise_cmd(conn_cmd);
+						conn_cmd->cancel_state = _CS_CANCEL_PENDING;
 					break;
 				}
 			}

